/// <reference types="react" />
import { type ButtonProps } from "../../../core/components/Button";
export declare const HeaderRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const HeaderActions: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
interface CollectionHeaderButtonProps extends ButtonProps {
    to?: string;
}
export declare const CollectionHeaderButton: import("@emotion/styled").StyledComponent<CollectionHeaderButtonProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export {};
